<?php
use Doctrine\Common\ClassLoader,
	    Doctrine\Common\Annotations\AnnotationReader,
	    Doctrine\ODM\MongoDB\DocumentManager,
	    Doctrine\ODM\MongoDB\Mongo,
	    Doctrine\ODM\MongoDB\Configuration,
	    Doctrine\ODM\MongoDB\Mapping\Driver\AnnotationDriver;
	    
class Bootstrap extends Zend_Application_Bootstrap_Bootstrap
{
    protected function _initView()
    {
        $options = $this->getOptions();
        
        $view = new Zend_View();
        
      	if(isset($options['resources']['view']['doctype']) )
      	{
      		$view->doctype($options['resources']['view']['doctype']);
      	}
      	
      	if(isset($options['resources']['view']['contentType']) )
      	{
      		$view->headMeta()->appendHttpEquiv('Content-Type', $options['resources']['view']['contentType']);
      	}
      	
      	$view->addHelperPath("ZendX/JQuery/View/Helper", "ZendX_JQuery_View_Helper");
      	$view->addHelperPath("App/View/Helper", "App_View_Helper");
      	$view->addScriptPath(APPLICATION_PATH . '/views/scripts');
      	
		$viewRenderer = Zend_Controller_Action_HelperBroker::getStaticHelper('ViewRenderer');
		$viewRenderer->setView($view);    

		return $view;
    } 
    
	protected function _initDoctrineMongoDb()
	{
		$classLoader = new ClassLoader('Documents', APPLICATION_PATH . '/entities');
		$classLoader->register();
		
		$config = new Configuration();
		$config->setProxyDir(ROOT . '/data/proxies');
		$config->setProxyNamespace('Proxies');
		
		$reader = new AnnotationReader();
		$reader->setDefaultAnnotationNamespace('Doctrine\ODM\MongoDB\Mapping\\');
		$config->setMetadataDriverImpl(new AnnotationDriver($reader, APPLICATION_PATH . '/entities') );
		
		$dm = DocumentManager::create(new Mongo(), $config);
		
		Zend_Registry::set('Doctrine_DocumentManager', $dm);
		
		return $dm;
	}    
    
    protected function _initRoutes()
    {
    	$front = Zend_Controller_Front::getInstance();
		
    	$router = $front->getRouter();
    	
		$routes = array(
			'plain' => new Zend_Controller_Router_Route('/',
                                                        array(	'module' => 'image',
                                                        		'controller' => 'image',
                                                                'action' => 'index') ),

                                 
                                                        
			 'default' => new Zend_Controller_Router_Route('/:module/:controller/:action/*',
                                                        array( 'controller' => 'index',
                                                        	   'action' => 'index',) ),
		);  
			
		  	
    	$router->addRoutes($routes);
    	
    }        
}

