<?php

namespace Documents;

/** @Document */
class Image
{
    /** @Id */
    private $id;

    /** @Field */
    private $name;

    /** @Field */
    private $description;
    
    /** @File */
    private $file;
    
    /** @Field **/
    private $publicDir;

    /** @Field */
    private $uploadDate;

    /** @Field */
    private $length;

    /** @Field */
    private $chunkSize;

    /** @Field */
    private $md5;
    
    /**
     * @Collection
     */
    private $tags = array();
    

    public function getId()
    {
        return $this->id;
    }

    public function setName($name)
    {
        $this->name = $name;
    }

    public function getName()
    {
        return $this->name;
    }

    public function setDescription($desc)
    {
    	$this->description = $desc;
    }
    
    public function getDescription()
    {
    	return $this->description;
    }
    
    public function getFile()
    {
        return $this->file;
    }

    public function setPublicDir($path)
    {
        $this->publicDir = $path;
    }
    
    public function getPublicDir()
    {
        return $this->publicDir;
    }

    public function setFile($file)
    {
        $this->file = $file;
    }    
    
    public function getTags()
    {
        return $this->tags;
    }

    public function addTag($tag)
    {
        $this->tags[] = $tag;
    }
}
