<?php

	
class Image_ImageController extends Zend_Controller_Action
{

    /**
     * @var Image_Model_ImageModel
     */
    private $_am = null;

    /**
     * @var Doctrine\ODM\MongoDB\DocumentManager
     */
    private $_dm = null;

    public function init()
    {
        $config = Zend_Registry::get(Jme_constants::CONFIG);
        
        $this->_am = new Image_Model_ImageModel();
        $this->_am->setUploadDirectory($config->image->upload_dir);
        $this->_am->setPublicDirectory($config->image->public_dir);
                    
        $this->_dm = $this->getInvokeArg('bootstrap')->getResource('DoctrineMongoDb');
                    
        $this->_am->setDocumentManager($this->_dm);
    }

    public function indexAction()
    {
        $this->_am->startProcess(true);
                    	
        $this->_redirect('/image/image/addimage');
    }

    public function addimageAction()
    {
        $form = $this->_am->getForm('image');
        
        if($this->_request->isPost() )
        {
        	if($this->_am->addImage($this->_request->getPost() ) )
        	{
        		$this->_redirect('/image/image/adddescription');
        	}
        }
                    
        $this->view->form = $form;
    }

    public function adddescriptionAction()
    {
    	$form = $this->_am->getForm('description');
    	
    	if($this->_request->isPost() )
    	{
	    	if($this->_am->updateDescription($this->_request->getPost()  ) )
	    	{
	    		$this->_redirect('/image/image/addtags');
	    	}
    	}
    	
    	$this->view->image = $this->_am->getCurrentImage();
    	$this->view->form = $form;
    }

    public function addtagsAction()
    {
    	$form = $this->_am->getForm('tags');
    	
    	if($this->_request->isPost() )
    	{
	    	if($this->_am->updateTags($this->_request->getPost()  ) )
	    	{
	    		$this->_redirect('/image/image/done');
	    	}
    	}
    	
    	$this->view->image = $this->_am->getCurrentImage();
    	$this->view->form = $form;
    }

    public function doneAction()
    {
    	$image = $this->_am->getCurrentImage();
    	
    	if($image)
    	{
    		$this->view->image = $image;
    	}
    }
    
    public function viewimageAction()
    {
		$this->_helper->layout->disableLayout();
		$this->_helper->viewRenderer->setNoRender(true);
		
		$image = $this->_am->getImage($this->_request->getParam('id') );
		
		if($image)
		{
			header('Content-type: image/jpeg;');
			echo $image->getFile()->getBytes();
		}
    }
    
    public function searchAction()
    {
    	if($this->_request->isXmlHttpRequest() )
    	{
    		$this->_helper->layout->disableLayout();
    		
    		$images = $this->_am->search(array('tags' => $this->_request->getParam('tag') ) );
    		
    		if($images && count($images) > 0)
    		{
    			$this->view->images = $images;
    		}
    	}
    	else 
    	{
	    	$form = $this->_am->getForm('search');
	    	
	    	$this->view->form = $form;
    	}
    }    
}



