<?php
class Image_Form_AddTagsForm extends Jme_Form
{
	public function init()
	{
		$this->setMethod(Zend_Form::METHOD_POST);
		$this->setAttrib('enctype', 'multipart/form-data');
		
		$next = $this->createNextButton();

		for($i = 1; $i <= 5; $i++)
		{
			$tag = $this->_createTagElement("tag$i", "Tag $i");
			$tag->setBelongsTo('tags');
			$this->addElement($tag);
		}
		
		$this->addElement($next);
	}
	
	protected function _createTagElement($name, $label, $required = false)
	{
		$tag = $this->createElement('text', $name);
		$tag->setLabel($label);
		$tag->addValidator('NotEmpty');
		$tag->addValidator(new Zend_Validate_StringLength(array('min' => 1, 'max' => 512) ) );
		$tag->setRequired($required);
		
		return $tag;
	}
}