<?php
class Jme_Model
{
	protected $_sessionKey = 'Jme_Model_SessionKey';
	
	/**
	 * @var Zend_Session_Namespace
	 */
	private $_ns;
	
	/**
	 * Returns a session. Creates it if it does not exist.
	 * 
	 * @return Zend_Session_Namespace
	 */
	public function getSession()
	{
		if(!isset($this->_ns) )
		{
			$this->_ns = new Zend_Session_Namespace($this->_sessionKey);	
		}
		
		return $this->_ns;
	}
	
	/**
	 * @param int $expiration in seconds, how long the session will live
	 * 
	 * return Zend_Session_Namespace
	 */
	public function initSession($expiration = 300)
	{
		$ns = $this->getSession();
		$ns->unsetAll();
		$ns->setExpirationSeconds($expiration);
		
		$this->_ns = $ns;
		
		return $this->_ns;
	}
}